Not Worth my While
Closed, ResolvedPublic

Description

What is happening:
Starburst Nova is speaking casually & not accepting the Crystal Empire's Foreign Office that's been passed down from Silver Tongue.

What should be happening:
Starburst Nova should be accepting the Crystal Empire's Foreign Office so I can proceed & finish the mission.

Steps to reproduce the issue:
Start up Legends of Equestria MMO > Character Select ; Zap Apple Haywood > Go to Crystal Empire > Talk to Silver Tongue > "Worth Your While" Mission Start > Go to Canterlot > Talk to Starburst Nova

Reproduced by:
Xiron/Bubbles

Screenshots:

Related Objects

Morphius created this task.Jul 7 2017, 6:16 AM
Xiron added a subscriber: Xiron.Jul 7 2017, 6:30 AM

So you went, and just casual happened? Hrm, someone might have tinkered with Nova after I finished making this quest.

Morphius updated the task description. (Show Details)Jul 7 2017, 9:51 AM
Xiron added a comment.Jul 7 2017, 10:46 AM

I'm not actually getting this problem. I just ran through it again with no problems.

Adding in 2 other bugs from this quest:

Whenever you reject the quest on the initial dialogue with Silver Tongue, the next time that you talk to him he will give you the quest completion dialogue and you complete it.

If you log out while talking with him before acepting the quest, either crashing or manually logging out, when you return to the game the quest is in your journal with a Missing Journal Entry message and Silver Tongue and Starburst Nova wont talk about the quest, ending up unable to finish the quest.

esuwai added a subscriber: esuwai.Jul 13 2017, 3:27 AM

It seems this bug will happen if you completed "The First Day of Our Pony Lives" first.
So practically, only foals can complete this quest for now.

This is still happening on the OAR. I just took the quest and Starburst Nova now on the graduation site just speaks casually, so you can't continue the quest, this despite she gets the quest exclamation mark over her o.o

Rattletrap closed this task as Resolved.Sep 12 2017, 6:55 AM

Just committed fixes for this. Try again after an hour when the server has reset.

Just committed fixes for this. Try again after an hour when the server has reset.

In which server you applied the fixes? I just entered and the quest still isn't working o.o

I guess the server still doesn't resets.

the quest still does not work.
Starburst Nova does not want to continue the quest.